Bug 234749 - Dell XPS 13: Keypresses can stick or are sometimes not detected
Summary: Dell XPS 13: Keypresses can stick or are sometimes not detected
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: 12.0-STABLE
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-bugs mailing list
URL: https://www.dell.com/community/XPS/XP...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-01-08 15:00 UTC by mmatalka
Modified: 2019-03-03 16:43 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mmatalka 2019-01-08 15:00:11 UTC
I'm running on a Dell XPS 13 9370 (I think, the later version of XPS 13 with USB-C and ath10k ethernet) and I keep on running a few cases about keyboards buttons sticking or not being detected:

- If I do C-s in emacs or C-w in Chrome, the s or w can stick forever until I hit another key.

- When I switch workspaces in i3, if I'm holding down a modifier key (shift, alt, ctrl), often times the modifier key is not registered, I have to press it again to for it to take effect.

I don't know exactly where these are a problem, maybe this is actually an X11 problem?  However I have only experienced this on this laptop.
Comment 1 Rodrigo N. Hernandez freebsd_triage 2019-01-09 02:37:42 UTC
Hello. I suspect this is not a FreeBSD issue but I can't be sure, of course. It helps if you can investigate and return with more details:
- You can test if it happens in other OSes (Booting into Linux Live CD or other OS e.g.)
- Check if issue is listed and fixed by vendor's firmware updates (AKA BIOS)
- Update to latest firmware anyway
Example: https://www.dell.com/community/XPS/XPS-15-9570-keyboard-skipping-keys/td-p/6092834
Thanks!
Comment 2 mmatalka 2019-03-03 16:43:09 UTC
You were right, that resolved it.